Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

Update agent session status

PATCH/agent-sessions/{runId}/status
Authorization
AuthorizationBearer token (JWT) · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
runIdstringrequired
Request body
requiredapplication/json
idempotencyKeystring
messagestring
statusstringrequired
Allowed:queuedrunningwaitingInputwaitingApprovaldonefailedcanceled
Responses
200
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X PATCH "https://leadtime.app/api/public/agent-sessions/string/status" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "idempotencyKey": "string",
  "message": "string",
  "status": "queued"
}'
Response
No example response.